> ## Documentation Index
> Fetch the complete documentation index at: https://docs.numeral.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Customer

> Delete a specific customer

## Delete Customer Endpoint (2024-09-01)

Delete a specific customer using its ID.


## OpenAPI

````yaml DELETE /tax/customers/{customer_id}
openapi: 3.0.1
info:
  title: Numeral API
  description: API for sales tax calculations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.numeralhq.com/
security:
  - bearerAuth: []
paths:
  /tax/customers/{customer_id}:
    delete:
      description: Delete a specific customer using its ID
      parameters:
        - name: customer_Id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the customer to delete
          example: cus_1234-65423
      responses:
        '200':
          description: Customer deletion response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteCustomerResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DeleteCustomerResponse:
      type: object
      properties:
        object:
          type: string
          description: The type of object deleted
          example: tax.customer
        deleted_at:
          type: number
          description: Epoch datetime representing the date and time the object was deleted
          example: 1721782604
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            error_code:
              type: string
            error_message:
              type: string
            error_meta:
              type: object
              properties:
                field:
                  type: string
                expected:
                  type: string
                received:
                  type: string
        request_id:
          type: string
          description: The ID of the request
          example: req_123456789
      example:
        error:
          error_code: missing_field
          error_message: Field is required
          error_meta:
            field: path.to.fieldname
            expected: string
            received: undefined
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````